# ARBBufferStorage (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBBufferStorage

    java.lang.Object
      org.lwjgl.opengl.ARBBufferStorage

    public final class ARBBufferStorage

extends java.lang.Object

Field Summary
`static int` `GL_BUFFER_IMMUTABLE_STORAGE` Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\
`static int` `GL_BUFFER_STORAGE_FLAGS` Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\
`static int` `GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT` Accepted by the <barriers> parameter of MemoryBarrier:
`static int` `GL_CLIENT_STORAGE_BIT` Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static int` `GL_DYNAMIC_STORAGE_BIT` Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static int` `GL_MAP_COHERENT_BIT` Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static int` `GL_MAP_PERSISTENT_BIT` Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

Method Summary
`static void` `glBufferStorage(int target, java.nio.ByteBuffer data, int flags)`
`static void` `glBufferStorage(int target, java.nio.DoubleBuffer data, int flags)`
`static void` `glBufferStorage(int target, java.nio.FloatBuffer data, int flags)`
`static void` `glBufferStorage(int target, java.nio.IntBuffer data, int flags)`
`static void` `glBufferStorage(int target, java.nio.LongBuffer data, int flags)`
`static void` `glBufferStorage(int target, long size, int flags)` Overloads glBufferStorage.
`static void` `glBufferStorage(int target, java.nio.ShortBuffer data, int flags)`
`static void` `glNamedBufferStorageEXT(int buffer, java.nio.ByteBuffer data, int flags)`
`static void` `glNamedBufferStorageEXT(int buffer, java.nio.DoubleBuffer data, int flags)`
`static void` `glNamedBufferStorageEXT(int buffer, java.nio.FloatBuffer data, int flags)`
`static void` `glNamedBufferStorageEXT(int buffer, java.nio.IntBuffer data, int flags)`
`static void` `glNamedBufferStorageEXT(int buffer, java.nio.LongBuffer data, int flags)`
`static void` `glNamedBufferStorageEXT(int buffer, long size, int flags)` Overloads glNamedBufferStorageEXT.
`static void` `glNamedBufferStorageEXT(int buffer, java.nio.ShortBuffer data, int flags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_MAP_PERSISTENT_BIT

    public static final int GL_MAP_PERSISTENT_BIT

  Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

  See Also:
    Constant Field Values

### GL_MAP_COHERENT_BIT

    public static final int GL_MAP_COHERENT_BIT

  Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

  See Also:
    Constant Field Values

### GL_DYNAMIC_STORAGE_BIT

    public static final int GL_DYNAMIC_STORAGE_BIT

  Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

  See Also:
    Constant Field Values

### GL_CLIENT_STORAGE_BIT

    public static final int GL_CLIENT_STORAGE_BIT

  Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

  See Also:
    Constant Field Values

### GL_BUFFER_IMMUTABLE_STORAGE

    public static final int GL_BUFFER_IMMUTABLE_STORAGE

  Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\

  See Also:
    Constant Field Values

### GL_BUFFER_STORAGE_FLAGS

    public static final int GL_BUFFER_STORAGE_FLAGS

  Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\

  See Also:
    Constant Field Values

### GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT

    public static final int GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT

  Accepted by the <barriers> parameter of MemoryBarrier:

  See Also:
    Constant Field Values

Method Detail

### glBufferStorage

    public static void glBufferStorage(int target,
                                       java.nio.ByteBuffer data,
                                       int flags)

### glBufferStorage

    public static void glBufferStorage(int target,
                                       java.nio.DoubleBuffer data,
                                       int flags)

### glBufferStorage

    public static void glBufferStorage(int target,
                                       java.nio.FloatBuffer data,
                                       int flags)

### glBufferStorage

    public static void glBufferStorage(int target,
                                       java.nio.IntBuffer data,
                                       int flags)

### glBufferStorage

    public static void glBufferStorage(int target,
                                       java.nio.ShortBuffer data,
                                       int flags)

### glBufferStorage

    public static void glBufferStorage(int target,
                                       java.nio.LongBuffer data,
                                       int flags)

### glBufferStorage

    public static void glBufferStorage(int target,
                                       long size,
                                       int flags)

  Overloads glBufferStorage.

### glNamedBufferStorageEXT

    public static void glNamedBufferStorageEXT(int buffer,
                                               java.nio.ByteBuffer data,
                                               int flags)

### glNamedBufferStorageEXT

    public static void glNamedBufferStorageEXT(int buffer,
                                               java.nio.DoubleBuffer data,
                                               int flags)

### glNamedBufferStorageEXT

    public static void glNamedBufferStorageEXT(int buffer,
                                               java.nio.FloatBuffer data,
                                               int flags)

### glNamedBufferStorageEXT

    public static void glNamedBufferStorageEXT(int buffer,
                                               java.nio.IntBuffer data,
                                               int flags)

### glNamedBufferStorageEXT

    public static void glNamedBufferStorageEXT(int buffer,
                                               java.nio.ShortBuffer data,
                                               int flags)

### glNamedBufferStorageEXT

    public static void glNamedBufferStorageEXT(int buffer,
                                               java.nio.LongBuffer data,
                                               int flags)

### glNamedBufferStorageEXT

    public static void glNamedBufferStorageEXT(int buffer,
                                               long size,
                                               int flags)

  Overloads glNamedBufferStorageEXT.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.